> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction History

> Paginates completed settlements to the caller Privy wallets merged with user wallet transfers, priced via CoinMarketCap.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-transaction-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-transaction-history:
    get:
      operationId: getTransactionHistory
      summary: Get Transaction History
      description: >-
        Paginates completed settlements to the caller Privy wallets merged with
        user wallet transfers, priced via CoinMarketCap.


        Not available to API keys.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
        - name: typeFilter
          in: query
          required: false
          schema:
            type: string
            enum:
              - sent
              - received
              - ''
            default: ''
        - name: dateFilter
          in: query
          required: false
          schema:
            type: string
            enum:
              - 7D
              - 1M
              - 3M
              - 6M
              - 1Y
              - ALL
              - ''
            default: ''
        - name: assetFilter
          in: query
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTransactionHistoryResponse:
      type: object
      properties:
        transactions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
                enum:
                  - sent
                  - received
              amount:
                type: string
              symbol:
                type: string
              date:
                type: string
              address:
                type: string
              txHash:
                type:
                  - string
                  - 'null'
              txLink:
                type:
                  - string
                  - 'null'
              network:
                type: string
              fiatAmount:
                type: string
              exchangeRate:
                type: string
              tokenIcon:
                type:
                  - string
                  - 'null'
              networkIcon:
                type:
                  - string
                  - 'null'
              fromAddress:
                type: string
              toAddress:
                type: string
            required:
              - id
              - type
              - amount
              - symbol
              - date
              - address
              - txHash
              - txLink
              - network
              - fiatAmount
              - exchangeRate
              - tokenIcon
              - networkIcon
              - fromAddress
              - toAddress
        totalCount:
          type: integer
        currentPage:
          type: integer
        totalPages:
          type: integer
        hasNextPage:
          type: boolean
        hasPreviousPage:
          type: boolean
        availableAssets:
          type: array
          items:
            type: object
            properties:
              symbol:
                type: string
              name:
                type: string
              icon:
                type:
                  - string
                  - 'null'
            required:
              - symbol
              - name
              - icon
      required:
        - transactions
        - totalCount
        - currentPage
        - totalPages
        - hasNextPage
        - hasPreviousPage
        - availableAssets
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
